////////////////////////////////////////////////////////////////////////////////
//
//  Microsoft Switzerland Events Gadget
//  Copyright (c) 2006 Microsoft Switzerland.  All rights reserved.
//
////////////////////////////////////////////////////////////////////////////////

////////////////////////////////////////////////////////////////////////////////
//
// INITIALIZATION
//
////////////////////////////////////////////////////////////////////////////////



function initSettings()
{
    System.Gadget.onSettingsClosing = settingsClosing;
	markSettings();
}

function settingsClosing(event)
{
    if(event.closeAction == event.Action.commit)
    {
        parseForm();
        //initEvents();
    }
    else if (event.closeAction == event.Action.cancel)
    {
    }
    event.cancel = false;
}

function markSettings()
{
	//p = shell.Popup(" MarkSettings ");
	System.Gadget.Settings.writeString("test", "ok");

	markCheckbox("LangEN");
	markCheckbox("LangGE");
	markCheckbox("LangFR");
	markCheckbox("LangIT");

	markCheckbox("RegionCHDE");
	markCheckbox("RegionCHFR");
	markCheckbox("RegionCHIT");
	markCheckbox("RegionAbroad");

	markCheckbox("AudienceArchitect");
	markCheckbox("AudienceDeveloper");
	markCheckbox("AudienceITPro");
	markCheckbox("AudienceBDM");
	markCheckbox("AudienceTDM");
}

function markCheckbox(name)
{
	var value = readSettingOrDefault("filter" + name, "1");
	var checkbox = document.getElementById("settings" + name);

	if(value == "1")
		checkbox.checked = true;
	else
		//checkbox.checked = true;
		checkbox.checked = false;
}

function parseForm()
{
	//p = shell.Popup("Parse Form " + System.Gadget.Settings.readString("test"));

	parseCheckbox("LangEN");
	parseCheckbox("LangGE");
	parseCheckbox("LangFR");
	parseCheckbox("LangIT");

	parseCheckbox("RegionCHDE");
	parseCheckbox("RegionCHFR");
	parseCheckbox("RegionCHIT");
	parseCheckbox("RegionAbroad");

	parseCheckbox("AudienceArchitect");
	parseCheckbox("AudienceDeveloper");
	parseCheckbox("AudienceITPro");
	parseCheckbox("AudienceBDM");
	parseCheckbox("AudienceTDM");
}

function parseCheckbox(name)
{
	var checkbox = document.getElementById("settings" + name);
	

	if(checkbox.checked)
		System.Gadget.Settings.writeString("filter" + name, "1");
	else
		System.Gadget.Settings.writeString("filter" + name, "0");
		
	//p = shell.Popup(System.Gadget.Settings.readString("filter" + name));
}